<?php


function register_my_menu() {
  register_nav_menu('header-menu',__( 'Header Menu' ));
  
}
add_action( 'init', 'register_my_menu' );


// Register Custom Navigation Walker
// Bootstrap navigation
function bootstrap_nav()
{
    wp_nav_menu( array(
            'theme_location'    => 'header-menu',
            'depth'             => 4,
            'container'         => 'false',
            'menu_class'        =>  'nav-justified dropdown mega-dropdown clearfix',
             
            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
            'walker'            => new T5_Nav_Menu_Walker_Simple,
    ));

}


class T5_Nav_Menu_Walker_Simple extends Walker_Nav_Menu
{
    /**
     * Start the element output.
     *
     * @param  string $output Passed by reference. Used to append additional content.
     * @param  object $item   Menu item data object.
     * @param  int $depth     Depth of menu item. May be used for padding.
     * @param  array $args    Additional strings.
     * @return void
     */

      private $curItem;
    public function start_el( &$output, $item, $depth, $args )
    {
        if ($args->walker->has_children) {
                if( $depth == 0) {
                $output     .= '<li class="dropdown mega-dropdown">';
                $attributes  = 'class="dropdown-toggle" data-toggle="dropdown"';
                } 
                if( $depth == 1) {
                    $output .= "<li>";
                }
            } else{
                if( $depth == 0) {
                $output     .= '<li class="dropdown mega-dropdown">';
                $attributes  = 'class="dropdown-toggle" ';
                } 
                if( $depth == 1) {
                    $output .= "<li>";
                }
            }
        
        ! empty ( $item->attr_title )
            // Avoid redundant titles
            and $item->attr_title !== $item->title
            and $attributes .= ' title="' . esc_attr( $item->attr_title ) .'"';
        ! empty ( $item->url )
            and $attributes .= ' href="' . esc_attr( $item->url ) .'"';
        $attributes  = trim( $attributes );
        $title       = apply_filters( 'the_title', $item->title, $item->ID );
        $item_output = "$args->before<a $attributes>$args->link_before$title</a>"
                        . "$args->link_after$args->after";


         
        // Since $output is called by reference we don't need to return anything.
        $output .= apply_filters(
            'walker_nav_menu_start_el'
            ,   $item_output
            ,   $item
            ,   $depth
            ,   $args
        );
        
    }
    /**
     * @see Walker::start_lvl()
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @return void
     */
    public function start_lvl( &$output, $item )
    {


       
        $output .= '<div class="dropdown-menu mega-dropdown-menu row"><div class="content_container clearfix"><div class="col-md-12"><ul class="sub_menu">';

    }
    /**
     * @see Walker::end_lvl()
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @return void
     */
    public function end_lvl( &$output )
    {
        $output .= '</ul></div></div></div>';
    }
    /**
     * @see Walker::end_el()
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @return void
     */
    function end_el( &$output )
    {
        $output .= '</li>';
    }
}

/* function to assign a sidemenu to sub pages based on its parent page*/ 

function wpb_list_child_pages() { 

global $post; 

if ( is_page() && $post->post_parent )

  $childpages = wp_list_pages( 'sort_column=menu_order&title_li=&child_of=' . $post->post_parent  );
else
  $childpages = wp_list_pages( 'sort_column=menu_order&title_li=&child_of=' . $post->ID  );

if ( $childpages ) {

  $string = '<div class="childsubmenu"><ul>' . $childpages . '</ul></div>';
}

return $string;

}

add_shortcode('wpb_childpages', 'wpb_list_child_pages');



 
//This registers this auburn global styles 

function my_theme_enqueue_styles() {

   /* $parent_style = 'parent-style'; // This is 'twentyfifteen-style' for the Twenty Fifteen theme.

    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );*/
    
	wp_enqueue_style('au_bootstrap','https://cdn.auburn.edu/assets/css/bootstrap.min.css');
  	wp_enqueue_style('au_global', 'https://cdn.auburn.edu/2016/_assets/css/global.css');
    wp_enqueue_style('au_theme', 'https://cdn.auburn.edu/2016/_assets/css/themes.min.css');
   // wp_enqueue_style( 'fonts', get_stylesheet_directory_uri() . '/css/font_style.css' );
}
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles', 99 );

// The JavaScript files for your theme
function theme_js() {
 wp_enqueue_script( 'jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js' );
 wp_enqueue_script( 'bootstrap', 'https://cdn.auburn.edu/assets/js/bootstrap.min.js' );
 wp_enqueue_script( 'classie-js', 'https://cdn.auburn.edu/2016/_assets/js/classie.js' );
 wp_enqueue_script( 'header_shrinker', 'https://cdn.auburn.edu/2016/_assets/js/header_shrinker.js' );
}
add_action( 'wp_enqueue_scripts', 'theme_js' );


function remove_custom($wp_customize) {
  $wp_customize->remove_setting('sidebar_textcolor');
  $wp_customize->remove_control('color_scheme');
  $wp_customize->remove_section('colors');
  $wp_customize->remove_section('header_image');
   $wp_customize->remove_section('background_image');

 

  }


add_action( 'customize_register', 'remove_custom', 1000 );

function themename_customize_register($wp_customize) {

    
    $wp_customize->add_section('themename_color_scheme', array(
        'title'    => __('Footer', 'themename'),
        'description' => '',
        'priority' => 120,
    ));
 
    //  =============================
    //  = Email Name and Address =
    //  =============================
    $wp_customize->add_setting('to_EAddress', array(
        'default'        => 'webmaster@auburn.edu',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('themename_text_test', array(
        'label'      => __('Webmaster Email Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_EAddress',
    ));

    //  =============================
    //  = Facebook Url =
    //  =============================
    $wp_customize->add_setting('to_Facebook', array(
        'default'        => 'http://www.facebook.com/auburnu',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_Facebook_control', array(
        'label'      => __('Facebook Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_Facebook',
    ));
    //  =============================
    //  = Twitter Url =
    //  =============================
    $wp_customize->add_setting('to_Twitter', array(
        'default'        => 'http://www.twitter.com/auburnu',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_Twitter_control', array(
        'label'      => __('Twitter Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_Twitter',
    ));
    //  =============================
    //  = Insta  Url =
    //  =============================
    $wp_customize->add_setting('to_Instagram', array(
        'default'        => 'http://instagram.com/auburnu',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_Instagram_control', array(
        'label'      => __('instagram Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_Instagram',
    ));
    //  =============================
    //  = Youtube Url =
    //  =============================
    $wp_customize->add_setting('to_Youtube', array(
        'default'        => 'http://www.youtube.com/AuburnUniversity',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_Youtube_control', array(
        'label'      => __('Youtube Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_Youtube',
    ));
    //  =============================
    //  = Contact Name =
    //  =============================
    $wp_customize->add_setting('to_contactName', array(
        'default'        => 'Auburn University',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_contactName_control', array(
        'label'      => __('Conact Name', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_contactName',
    ));
  //  =============================
    //  = Contact Address =
    //  =============================
    $wp_customize->add_setting('to_contactAddress', array(
        'default'        => 'Auburn, Alabama 36849',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_contactAddress_control', array(
        'label'      => __('Conact Address', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_contactAddress',
    ));
   //  =============================
    //  = Contact Number =
    //  =============================
    $wp_customize->add_setting('to_contactNumber', array(
        'default'        => '(334) 844-4000',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
 
    ));
 
    $wp_customize->add_control('to_contactNumber_control', array(
        'label'      => __('Conact Number', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'to_contactNumber',
    ));
  
  
    
}
 
add_action('customize_register', 'themename_customize_register');






//require get_template_directory() . '/inc_/customizer.php';




